# Import required files for communicating with the NASOS Backend
from transformer.transport.client_http import HTTPClient
from transformer.plugins.application import ApplicationClientAuthentication
from transformer.lib.errors import UnknownToken
from transformer.lib import ListInfo, List, Dict
 
# Import services
from unicorn_api.v5.sv0.user_group_share.Sharing import Sharing
from unicorn_api.v5.sv0.user_group_share.Sharing import Share
from unicorn_api.v5.sv0.user_group_share.Sharing import Access
 
# Configuration
with open("/etc/unicorn_api.conf") as f:
    import json
    info = json.load(f)
    app_id = info["install_id"]
    app_token = info["token"]
 
# Authentication
client = HTTPClient("127.0.0.1", 8886)
app_auth = ApplicationClientAuthentication()
app_auth.set_app_id(app_id)
app_auth.set_app_token(app_token)
client.set_authentication(app_auth)
app_auth.open_session()

# Create Sync Backup Share for poorly located folders
try:
    sharing = Sharing()
    new_backup_share = Share()
    new_backup_share.setpublic_access(Access.none)
    new_backup_share.setname("Sync_Migrate_1-4-77")
    new_backup_share.setcomment("Data backup from upgrading Sync 1.4.77.")
    volume_id = 1 #it'd be nice to be smarter about this
    add_result = sharing.add(new_backup_share, volume_id, client)
    print str(add_result)
except Exception, exc:
    print "Error : " + str(exc)

